Bug 466941 - F10 Beta could not boot successfully (hang).
F10 Beta could not boot successfully (hang).
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-14 12:59 EDT by yunus
Modified: 2008-12-13 20:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-13 20:27:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boot message (38.49 KB, text/plain)
2008-10-14 13:05 EDT, yunus
no flags Details
/var/log/Xorg.5.log (51.77 KB, text/plain)
2008-10-15 12:04 EDT, yunus
no flags Details

  None (edit)
Description yunus 2008-10-14 12:59:54 EDT
Description of problem:
F10 Beta could not boot successfully (hang). 
It still could boot successfully when passing runlevel 3 to boot option. After login in textmode, run starx command to go to GUI session

Version-Release number of selected component (if applicable):
[yunusf10@localhost ~]$ rpm -q kernel plymouth xorg-x11-server-Xorg
kernel-2.6.27-0.352.rc7.git1.fc10.x86_64
kernel-2.6.27-3.fc10.x86_64
plymouth-0.6.0-0.2008.10.08.2.fc10.x86_64
xorg-x11-server-Xorg-1.5.0-6.fc10.x86_64


How reproducible:


Steps to Reproduce:
1. Boot F10 Beta installatioon
2. 
3.
  
Actual results:
It got hang 

Expected results:
It should boot successfully and display graphical login screen.

Additional info:

http://www.smolts.org/client/show/pub_98874303-e15e-49a8-8a82-fa3280e38fc5
Comment 1 yunus 2008-10-14 13:05:13 EDT
Created attachment 320327 [details]
boot message
Comment 2 James Laska 2008-10-14 13:14:40 EDT
When you say "F10 Beta could not boot successfully", can you describe in more detail how it failed?  Perhaps included a digital picture of the failure?

Where any failure messages noted, did the kernel panic ... or does X just appear to take over the screen.  Do any keypresses work (caps-lock?  <ctrl><alt><backspace>, <ctrl><alt><F2>)?
Comment 3 Matěj Cepl 2008-10-15 03:29:40 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 yunus 2008-10-15 12:04:24 EDT
Created attachment 320453 [details]
/var/log/Xorg.5.log
Comment 5 yunus 2008-10-15 12:34:36 EDT
There is no X server config file (/etc/X11/xorg.conf) on my system

I have done full update on Oct 14 19:23:47, but the problem still exist.
There are two additional ways to bypass this problem ("F10 Beta could not boot successfully (hang)").:
1. remove rhgb quiet from kernel boot option
2. or press [ESC] key at once when blue graphical progress bar (at the bottom of the screen) appears. If I don't press [ESC] key then the progress bar will get stuck (hang). Pressing [Ctrl]+[Alt]+[Del] showed me below messages:
-------begin message-----------
   Broadcast message from root@(none)
         (unkown) at 18.52 ...
   The system is going down for reboot NOW!
-------end message---------------
I waited for more than 05 minutes and hoping for rebooting but I still got hang.
[caps-lock] just fine but, there are no effect for pressing [ctrl][alt][backspace] and [ctrl][alt][F2] (and other virtual terminal keys)
Trying to press others (all) keys gave no result.
Comment 6 Bug Zapper 2008-11-25 22:52:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 yunus 2008-12-13 20:27:40 EST
[yunusf10@localhost ~]$ uname -r
2.6.27.7-134.fc10.x86_64

The above kernel version works well (though I have to add vga=0x318 to see the beauty of plymouth). Actually, I think this bug #466941 related to the kernel.
Some kernels (before the above one version), 
1. did not work completely
2. for certain kernel version,sometimes it did not work and sometimes it worked (to make it work, timing in pressing [ESC] is important)
Comment 8 yunus 2008-12-13 20:29:18 EST
[yunusf10@localhost ~]$ uname -r
2.6.27.7-134.fc10.x86_64

The above kernel version works well (though I have to add vga=0x318 to see the beauty of plymouth). Actually, I think this bug #466941 related to the kernel.
Some kernels (before the above one version), 
1. did not work completely
2. for certain kernel version,sometimes it did not work and sometimes it worked (to make it work, timing in pressing [ESC] is important)
 
I close this bug number that I filed myself

Note You need to log in before you can comment on or make changes to this bug.